
.box-item, #box-container {
    outline: 0 !important;
}

.box-card:hover {
    cursor: pointer;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.more-option-box {
    top: 4px;
    right: 4px;
}

.badge.action-bag-top-left-1 {
    top: 25px;
    right: -8px;
}

.badge.action-bag-top-left-2 {
    top: 52px;
    right: -8px;
}

.box-title {
    font-size: 13px;
}

.box-description {
    font-size: 12px;
    color: #7c7c7c;
}

.handle-box:hover {
    cursor: pointer;
}

.draggable--original {
    display: none !important;
}

.box-move-or-copy-tooltip-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

.box-move-or-copy-tooltip-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 0.5rem;
}

.box-move-or-copy-tooltip-alert {
    padding: 0.25rem 1.1rem;
    font-size: 13px;
    text-align: center;
}


.box-node.selected {
    background: #D0D0D0;
    color: #444;
}

.dropdown-item[data-option-cant] {
    color: #9d9d9d !important;
}

.dropdown-item[data-option-cant]:hover {
    background-color: rgba(0, 0, 0, 0);
}

.more-option-action-list-action.show .dropdown-divider:last-child {
    display: none;
}

.actions-container {
    outline: 0 !important;
}

.more-option-action-list-action button {
    font-size: 19px;
}

.action-item .draggable-row__right-content, .task-item .draggable-row__right-content {
    align-items: center;
}

.action-item .more-option-action button {
    font-size: 20px;
}

.task-item .okr-action .invalid-feedback {
    display: none;
    padding: 0;
    margin: 0;
}

.task-item .okr-action input.is-invalid {
    margin-bottom: 0;
}

.task-item .okr-action input.is-invalid + .invalid-feedback {
    display: block;
    margin-bottom: 25px !important;
}

.left-separator {
    border-left: 1px solid #D0D0D0;
}


.action-item .action-late__due-date {
    color: #dc3545;
}


.progress-icon {
    padding-right: 15px;
}

.action-in-draft-icon {

    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.left-panel {
    display: flex;
    align-items: center;
}

.action-title {
    color: #145388;
    font-size: 14px;
}

.action-item .badge.badge-pill {
    overflow: hidden;
}

.action-list-item .action-title {
    text-overflow: ellipsis;
    font-weight: bold;
    margin-top: 10px;
}

.actions-container .right-pannel {
    overflow: hidden;
    height: 91px;
}

.user-avatar-action {
    width: 64px;
    height: 64px;
}

@media all and (max-width: 1200px) {


    .actions-container .action-info-general {
        display: flex;
        flex-direction: column;
    }

    .actions-container .right-pannel a {
        display: none;
    }
}

@media (max-width: 1330px) {
    .sub-action-right-panel {
        display: none !important;
    }
}

@media (max-width: 767px) {
    .actions-container {
        min-height: 72px !important;
    }

    .action-item .draggable-row__right-content, .task-item .draggable-row__right-content {
        max-height: 70px;
    }

    .task-item-right-content {
        padding-bottom: 25px;
    }

    .actions-container .action-item {
        align-items: flex-start;
        padding-bottom: 15px;
    }

    .actions-container .action-item a {
        max-height: 100px;
        overflow: hidden;
    }

    .actions-container .more-option-action-list-action button,
    .task-item .more-option-task button {
        font-size: 19px;
    }

    .actions-container .progress-icon {
        padding-right: 0;
        transform: scale(0.8);
        width: 60px;
        height: 60px;
    }

    .actions-container .progress-icon .circular-progress {
        width: 60px;
        height: 60px;
    }

    .actions-container .badge.badge-pill {
        margin-top: 8px;
        padding-top: 3px;
        padding-bottom: 3px;
    }

    .actions-container .user-avatar-action {
        transform: scale(0.8);
        margin: 3px !important;
        width: 40px;
        height: 40px;
        position: absolute;
        top: 0;
        left: 0;
    }

    .actions-container .action-infos {
        line-height: 14px;
        margin-left: 0 !important;
    }

    .actions-container .action-infos .action-title {
        text-overflow: ellipsis;
        font-weight: bold;
        margin-top: 10px;
        white-space: nowrap;
        display: block;
        overflow: hidden;
        position: absolute;
        left: 7px;
        bottom: 5px;
        right: 15px;
    }

    .actions-container .action-infos .action-info-general {
        margin-left: 7px;
    }

    .actions-container .action-infos .action-info-general .action-info-user-name, .action-infos .action-info-general .due-date {
        margin-left: 40px;
    }
}

.actions-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    min-height: 82px;
    width: 100%;
    position: relative;
    padding-right: 7px;
}

.actions-container .action-status {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 7px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-left: 1px solid #D0D0D0;
}

.actions-container .action-status.black {
    background: #000;
}

.actions-container .action-status.green {
    background: #27ae60;
}

.actions-container .action-status.red {
    background: #dc3545;
}

.actions-container .action-status.orange {
    background: #FF6A00;
}

.left-panel {
    display: flex;
    flex-direction: row;

}

.right-panel {
    display: flex;
    align-items: center;
    justify-content: flex-end;

}

.handle-action-container {
    cursor: grab;
    border-top-left-radius: 7px;
    border-bottom-left-radius: 7px;
    padding: 5px;
    min-height: 82px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid #D0D0D0;
    background-color: #3498db;
    color: white;
}

.action-infos {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: 1rem;
}

.action-info-user-name {

}

.action-info-general {
    display: flex;
    flex-wrap: wrap;
}

.circular-progress[data-percentage="100"] .progress-left .progress-bar {
    border-color: #27ae60 !important;
}

.circular-progress[data-percentage="100"] .progress-right .progress-bar {
    border-color: #27ae60 !important;
}

.draggable-source {
    background-color: #0b2e13;
!important;
}

.validation-row__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #f9f8f9;
    min-height: 56px;
    border-bottom-right-radius: 7px;
    padding: 0 15px;
}

.validation-row__buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

@media (max-width: 767px) {


    .progress-text {
        text-align: center;
        margin-bottom: 15px;
    }

    .progression-badge {
        right: 0px !important;
        top: 0px !important;
    }

    .validation-row__buttons {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

.progression-badge.refused {
    color: red;
}

.progression-badge.accepted {
    color: #27ae60;
}

.progression-badge.need-sub-action-validation {
    color: #e67e22;
    border: 1px solid #e67e22;
    padding: 3px;
    font-size: 13px;
}

.progression-badge.pending {
    color: #145388;
    border: 1px solid #145388;
    padding: 3px;
    font-size: 13px;
}


meta-data {
    display: none;
    opacity: 0;
    overflow: hidden;
    z-index: -1;
    width: 0;
    height: 0;
}
#add-action-modal-footer {
  margin-bottom: 80px;
  padding: 10px;
}

form#create-action {
  height: 100%;
}
form#create-action #create-action-buttons {
  margin-top: 10px;
  margin-bottom: 100px;
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: center;
}
form#create-action #create-action-buttons .btn:first-child {
  margin-right: 5px;
}
form#create-action .modal-body {
  /*overflow: scroll;*/
}
form#create-action .parameters-optional-container {
  position: relative;
  display: flex;
  justify-content: center;
  margin-bottom: 1em;
}
form#create-action .parameters-optional-container hr {
  position: absolute;
  width: 100%;
  top: -1px;
}
form#create-action .parameters-optional-container #optional-parameters-title {
  width: auto;
  z-index: 4;
  background-color: white;
  padding: 5px 7px 5px 7px;
}

.suggest-or-delegate-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.suggest-or-delegate-container .suggest-container {
  margin-left: 15px;
}

/*# sourceMappingURL=createActionModal.css.map */

.tree-layout__header {
    background-color: #f8f8f8 !important;
}

.tree-layout__wrapper {
    padding-right: 0 !important;
    padding-left: 20px !important;
}

.actions-container {
    outline: 0 !important;
}

.is-invalid {
    border: 1px solid red !important;
}

.owl-item.active {
    z-index: -2 !important;
}

.deep-delegate-or-suggest-container {
    /* margin-left: 16px; */
}

.invalid-feedback {
    padding: 0px 5px 5px 0px;
    display: none;
}

.drop-dashed-line {
    margin-top: 0.2rem;
    margin-bottom: 0.4rem;
    border-top: dotted 1px;
    border-color: #d35400;
}

@media all and (max-width: 1023px) {
    .left-bar {
        display: none;
    }
}

.noUi-tooltip {
    top: -200% !important;
    margin-bottom: 15px;
    bottom: unset;
    padding-left: 10px;
    padding-right: 10px;
}

.action-list-item.draggable-mirror {

    width: 350px !important;
    z-index: 4 !important;
    overflow: hidden;
}

.action-list-item.draggable-mirror .right-panel, .action-list-item.draggable-mirror .draggable-row__right-content {
    display: none !important;
}

.action-list-item.draggable-mirror .user-avatar {
    display: none !important;
}

.action-list-item.draggable-mirror .data-action-container {
    display: none !important;
}

.group-icon-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 40px;
    margin-right: 0.5rem;
}

.group-icon {
    font-size: 26px;
}

/* </ACTOR ROW> */

.fake-input {
    border-radius: 0.1rem;
    outline: initial !important;
    box-shadow: initial !important;
    font-size: 0.8rem;
    padding: 0.75rem 0.75rem 0.5rem 0.75rem;
    line-height: 1.5;
    border: 1px solid #d7d7d7;
    background: #f7f7f7;
    color: #212121;
}

.fake-textarea-row-3 {
    min-height: 100px;
    max-height: 130px;
    overflow-y: scroll;
    border-radius: 0.1rem;
    outline: initial !important;
    box-shadow: initial !important;
    font-size: 0.8rem;
    padding: 0.75rem 0.75rem 0.5rem 0.75rem;
    line-height: 1.5;
    border: 1px solid #d7d7d7;
    background: #f7f7f7;
    color: #212121;
}

#right-action-container a, #right-action-container button {
    display: inline-flex;
    align-items: center;
    margin: 2px;
}

#header-bar h1 {
    padding-bottom: 0;
}

#okr-tabs {
    padding: 0rem 1.75rem 0rem 1.75rem;
    box-shadow: 0 6px 9px 0 rgba(181, 181, 181, 0.5);
}

.action-card-header {
    background: #fff;
}

.action-buttons-task-panel-container {
    width: 100%;
    padding: 0 1.75rem;
    margin: 15px 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.action-tabs-task-panel-container {
    padding: 0 1.75rem;
}

.action-card-header-action-failed {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    color: #ed1c23;
    font-size: 14px;
    padding: 15px 1.75rem;
}

.menu-tabs > .menu-tabs__header {
    margin-bottom: 0px !important;
}

.action-card-header.is_stuck {
    z-index: 3;
}

.action-card-header.is_stuck #okr-tabs .menu-tabs__header {
    margin-bottom: 10px;
}

.action-rows {
    width: 100%;
}

#order_by {
    height: 25px;
    padding: 0 10px;
    border: none;
    min-width: 145px;

}

#order_by + .input-group-append {
    background: #145388;
}

@media all and (min-width: 0px) and (max-width: 992px) {

    #right-action-container #order_by {
        display: none;
    }

    #header-bar {
        display: flex !important;
        flex-direction: column !important;
    }

    #right-action-container {
        display: flex;
        flex-wrap: wrap;
    }

    .action-rows {
        padding-top: 0;
    }
}

@media (max-width: 576px) {
    #header-bar > .d-flex {
        flex-direction: column !important;
    }

    #right-action-container {
        justify-content: flex-end;
    }

    .action-buttons-task-panel-container {
        flex-direction: column;
    }

    .add-sub-actions-container {
        margin-top: 10px;
    }

    /*
    #right-action-container span:last-child {
        display: none;
    }
    */

}

.progress {
    background-color: rgba(20, 83, 136, 0.2) !important;
}

.progress .progress-bar[aria-valuenow="100"] {
    background: #279407;
}

.tab-content {
    /* overflow-y: scroll; */
    /* max-height: 600px; */
}

.more-option-action {
    top: 4px;
    right: 8px;
}

.progress .progress-bar[aria-valuenow="100"] {
    background: #279407;
}

@media all and (max-width: 990px) {
    .handle-box {
        display: none !important;
    }

    .handle-action {
        display: none !important;
    }
}


#action-card-header-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 1.0rem 1.75rem 0rem calc(1.75rem - 10px);
}

#action-card-header-container .okr-action {
    min-height: 82px;
}

#action-card-header-progress {
    align-self: flex-end;
}

#action-card-header-general-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#action-card-header-general-informations {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
}

#action-card-owner-avatar {
    width: 60px !important;
    height: 60px !important;
}

#action-card-header-title {
    font-size: 18px;
    padding: 15px;
    text-align: center;
}

.select2-results__option[aria-selected=true] {
    display: none;
}

#user-add-container {
    display: flex;
    align-items: center;
}

#user-add-container button {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (max-width: 767px) {
    .action-tabs-task-panel-container {
        padding: 15px 0
    }

    #okr-tabs {
        padding: 0.75rem 0.5rem 0 0.5rem;
    }

    #action-card-header-container {
        padding: 0;
    }

    #action-buttons-container button i {
        margin-right: 0 !important;
    }

    #action-buttons-container button span {
        display: none;
    }

    #user-add-container {
        flex-wrap: wrap;
    }

    #user-add-container .user-select {
        width: 100%;
        margin-bottom: 10px;
    }

    #user-add-container > .form-control {
        width: 49%;
    }

    #user-add-container > button {
        width: 48%;
    }
}


@media (max-width: 991px) {
    .select-order-container {
        display: none;
    }

    .select-order-responsive-container {
        display: block;
    }
}

@media all and (min-width: 992px) {
    .select-order-container {
        display: flex;
    }

    .select-order-responsive-container {
        display: none !important;
    }
}

.select-order-responsive-container {
    display: flex;
    border: 1px solid #145388;
    border-radius: 25px;
}

.select-order-dir-container {
    background-color: #145388;
    border-top-right-radius: 25px;
    border-bottom-right-radius: 25px;
}

#advancedSettings {
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#normalSettings {
    display: block;
}

.advancedSettingsBtn {
    position: absolute;
    top: -10px;
    right: 0;
    cursor: pointer;
    z-index: 2;
}

.advancedSettingsBtn :hover {
    text-decoration: underline;
    color: #145388;
}

.advancedSettingsBtn [data-general] {
    display: none;
}

.advancedSettingsBtn [data-advanced] {
    display: block;
}

#advancedSettings.advanced .advancedSettingsBtn [data-general] {
    display: block;
}

#advancedSettings.advanced .advancedSettingsBtn [data-advanced] {
    display: none;
}

#advancedSettings.advanced + #normalSettings {
    display: none;
}

.advancedSettingsContent {
    display: none;
    padding-top: 15px;
}

#advancedSettings.advanced .advancedSettingsContent {
    display: block;
}

#isMasterCheckbox + * + .btn {
    visibility: hidden;
    z-index: -1;
}

#isMasterCheckbox:checked + * + .btn {
    visibility: visible;
    z-index: 1;
}

/*
*/

#more-action-button:disabled {
    color: #fff;
    background-color: #dcdcdc;
    border-color: #dcdcdc;
}

.tool-tip [disabled] {
    pointer-events: none;
}


.back-button-wrapper {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.syn-action-created-source-alert-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

@media all and (max-width: 768px) {
    .syn-action-created-source-alert-content {
        display: flex;
        flex-direction: column !important;

    }
}
/* <ACTOR ROW> */
.action-actor-row {

}

.action-actor-row.inheritance {
    background-color: #ecf0f1 !important;
}

.action-actor-row.inheritance .folder-actor-role {
    background-color: white !important;
}

.action-actor-row .action-actor-row__details {
    display: flex;
    padding-right: 0;
}

.action-actor-row .action-actor-row__details input {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.action-actor-row .action-actor-row__details .action-actor-row__details-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 43px;
    border: 1px solid #d7d7d7;
    border-left: none;
    background: #e9ecef;
}

.action-actor-row .action-actor-row__details .action-actor-row__details-icon i {
    font-weight: bold;
    font-size: 13px;
}

.action-actor-row .action-actor-row__right {
    display: flex;
    align-items: center;
    font-size: 14px;
    /*visibility: hidden;*/
}

.action-actor-row .action-actor-row__right {
    width: 43px;
    height: 43px;
}


.action-actor-row .action-actor-row__right .action-actor-row__right-delete, .action-actor-row__right-switch-admin, .action-actor-row__right-action {
    color: #dc3545 !important;
    width: 43px;
    height: 43px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.action-actor-row__right-switch-admin {
    font-weight: bold;
}

.actors-avatar {

    width: 40px;
    height: 40px;
    margin-right: 5px;
}

.action-actor-row__actor {
    display: flex !important;
    align-items: center !important;
    font-weight: bold;
}

@media (max-width: 992px) {
    .action-actor-row .row {
        flex-direction: column;
    }

    .action-actor-row__actor {
        margin-bottom: 10px;
    }

    .action-actor-row__actor, .action-actor-row__details {
        width: 100%;
        max-width: none;
    }

    .action-actor-row .action-actor-row__right {
        visibility: visible;
    }

    .action-rows {

    }
}

.sub-action-loader {
    display: none;
}
 .sub-action-loader.show {
     display: flex !important;
     flex-direction: column;
     justify-content: center;
     align-items: center;
     margin-bottom: 5px;
}

.sub-action-loading-message {
    color: #9d9d9d;
}